package com.heyu.api.data.service.impl.user;
/**
* <p>
* 用户家庭表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.user.UserHomeDao;
import com.heyu.api.data.entity.user.UserHomeEntity;
import com.heyu.api.data.service.user.UserHomeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class UserHomeServiceImpl extends ServiceImpl<UserHomeDao, UserHomeEntity> implements UserHomeService {


    @Autowired
	private UserHomeDao userHomeDao;



	@Override
	public UserHomeEntity selectUserHomeById(Long id){
		return userHomeDao.selectUserHomeById(id);
	}



	@Override
	public Long insertUserHome(UserHomeEntity userHome){
		return userHomeDao.insertUserHome(userHome);
	}



	@Override
	public Long insertOrUpdateUserHome(UserHomeEntity userHome){
		return userHomeDao.insertOrUpdateUserHome(userHome);
	}



	@Override
	public int updateUserHomeById(UserHomeEntity userHome){
		return userHomeDao.updateUserHomeById(userHome);
	}



	@Override
	public int updateCoverUserHomeById(UserHomeEntity userHome){
		return userHomeDao.updateCoverUserHomeById(userHome);
	}



	@Override
	public int deleteUserHomeById(Long id){
		return userHomeDao.deleteUserHomeById(id);
	}



}
